pub mod tokenizer;
pub mod sanitizer;
pub mod ast_builder;

#[derive(Debug, PartialEq, Clone)]
pub enum Token {
    Number(String),
    Variable(String),
    ImaginaryUnit(),
    Addition(),
    Multiplication(),
    Substraction(),
    Division(),
    Modulo(),
    Exponentiation(),
    Equal(),
    OpenParenthesis(),
    CloseParenthesis(),
}